GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes Class Reference

## Public Member Functions
String | getPrimary2D ()
void | setPrimary2D (String value)
String | getSecondary2D ()
void | setSecondary2D (String value)
String | getPrimary1D ()
void | setPrimary1D (String value)
Boolean | isPrimary1DPrint ()
void | setPrimary1DPrint (Boolean value)
String | getNDI1 ()
void | setNDI1 (String value)
String | getNDI2 ()
void | setNDI2 (String value)
String | getUniShip ()
void | setUniShip (String value)

## Protected Attributes
String | primary2D
String | secondary2D
String | primary1D
Boolean | primary1DPrint
String | ndi1
String | ndi2
String | uniShip

## Detailed Description

Barcodes on the label for this parcel

Java class for Barcodes complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Barcodes">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Primary2D" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Secondary2D" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Primary1D" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Primary1DPrint" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
            <element name="NDI1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="NDI2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="UniShip" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 49 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## Member Function Documentation

## ◆ getNDI1()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.getNDI1 | ( |  | ) |

Gets the value of the ndi1 property.

Returns
  possible object is String

Definition at line 170 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ getNDI2()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.getNDI2 | ( |  | ) |

Gets the value of the ndi2 property.

Returns
  possible object is String

Definition at line 194 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ getPrimary1D()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.getPrimary1D | ( |  | ) |

Gets the value of the primary1D property.

Returns
  possible object is String

Definition at line 122 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ getPrimary2D()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.getPrimary2D | ( |  | ) |

Gets the value of the primary2D property.

Returns
  possible object is String

Definition at line 74 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ getSecondary2D()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.getSecondary2D | ( |  | ) |

Gets the value of the secondary2D property.

Returns
  possible object is String

Definition at line 98 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ getUniShip()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.getUniShip | ( |  | ) |

Gets the value of the uniShip property.

Returns
  possible object is String

Definition at line 218 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ isPrimary1DPrint()

Boolean eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.isPrimary1DPrint | ( |  | ) |

Gets the value of the primary1DPrint property.

Returns
  possible object is Boolean

Definition at line 146 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ setNDI1()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.setNDI1 | ( | String | value | ) |

Sets the value of the ndi1 property.

Parameters

  value | allowed object is String

Definition at line 182 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ setNDI2()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.setNDI2 | ( | String | value | ) |

Sets the value of the ndi2 property.

Parameters

  value | allowed object is String

Definition at line 206 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ setPrimary1D()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.setPrimary1D | ( | String | value | ) |

Sets the value of the primary1D property.

Parameters

  value | allowed object is String

Definition at line 134 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ setPrimary1DPrint()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.setPrimary1DPrint | ( | Boolean | value | ) |

Sets the value of the primary1DPrint property.

Parameters

  value | allowed object is Boolean

Definition at line 158 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ setPrimary2D()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.setPrimary2D | ( | String | value | ) |

Sets the value of the primary2D property.

Parameters

  value | allowed object is String

Definition at line 86 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ setSecondary2D()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.setSecondary2D | ( | String | value | ) |

Sets the value of the secondary2D property.

Parameters

  value | allowed object is String

Definition at line 110 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ setUniShip()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.setUniShip | ( | String | value | ) |

Sets the value of the uniShip property.

Parameters

  value | allowed object is String

Definition at line 230 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## Member Data Documentation

## ◆ ndi1

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.ndi1
| protected

Definition at line 60 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ ndi2

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.ndi2
| protected

Definition at line 62 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ primary1D

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.primary1D
| protected

Definition at line 56 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ primary1DPrint

Boolean eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.primary1DPrint
| protected

Definition at line 58 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ primary2D

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.primary2D
| protected

Definition at line 52 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ secondary2D

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.secondary2D
| protected

Definition at line 54 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

## ◆ uniShip

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Barcodes.uniShip
| protected

Definition at line 64 of file gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/shipmentprocessing/types/Barcodes.java